<?php

/**
 * Classe Ctrl
 *
 * Cette classe permet de gérer la partie Serveur de l'application qui permet de retourner les équipes et les joueurs de hockey.
 *
 * @version 1.0
 * @author Nicolas Rouiller
 * 
 */
class Ctrl
{

  /**
   * Constructeur de la classe qui initialise le Worker.
   */
  function __construct()
  {
    $this->wrk = new Wrk();
  }

  /**
   * Cette méthode retourne au client la liste des équipes (id + nom) sous forme XML.
   */
  function getEquipes()
  {
    $equipes = $this->wrk->getEquipesFromDB();
    echo '<equipes>';
    foreach ($equipes as $equipe) {
      echo '<equipe>';
      echo '<id>';
      echo $equipe->getPk();
      echo '</id>';
      echo '<nom>';
      echo $equipe->getNom();
      echo '</nom>';
      echo '</equipe>';
    }
    echo '</equipes>';
  }

  /**
   * Cette méthode retourne au client la liste des joueurs (nom + points) d'une équipe passée 
   * en paramètre sous forme XML.
   * 
   * @param $idEquipe l'ID de l'équipe dont on veut connaître les joueurs.
   * 
   */
  function getJoueurs($idEquipe)
  {
    $joueurs = $this->wrk->getJoueursFromDB($idEquipe);
    echo '<joueurs>';
    foreach ($joueurs as $joueur) {
      echo '<joueur>';
      echo '<nom>';
      echo $joueur->getNom();
      echo '</nom>';
      echo '<points>';
      echo $joueur->getPoints();
      echo '</points>';
      echo '</joueur>';
    }
    echo '</joueurs>';
  }

  private $wrk;
}
